Loading...
Searching...
No Matches
CodeGen_C.h File Reference

Defines an IRPrinter that emits C++ code equivalent to a halide stmt. More...

`#include "IRPrinter.h"`
`#include "Scope.h"`
`#include "Target.h"`
`#include <unordered_map>`

Go to the source code of this file.

## Classes

class | Halide::Internal::CodeGen_C
| This class emits C++ code equivalent to a halide Stmt. More...
struct | Halide::Internal::CodeGen_C::Allocation

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Detailed Description

Defines an IRPrinter that emits C++ code equivalent to a halide stmt.

Definition in file CodeGen_C.h.